Package com.treemap

# Class TreeMapColorMapPanelModel<Color>

java.lang.Object
com.treemap.TreeMapColorMapPanelModel<Color>

All Implemented Interfaces:
  `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

public class TreeMapColorMapPanelModel<Color> extends Object implements com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeMapColorMapPanelModel(TreeMapModel model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.colormap.MutableColorMap<Color>`
  `getCategoricalColorMap(TreeMapField field)`
  `SingleSelection<TreeMapField>`
  `getColorSelection()`
  `com.macrofocus.colormap.MutableColorMap<Color>`
  `getCurrentColorMap(TreeMapField field)`
  `com.macrofocus.colormap.MutableColorMap<Color>`
  `getCustomColorMap(TreeMapField field)`
  `com.macrofocus.format.CPFormat`
  `getFormat(TreeMapField field)`
  `Number`
  `getNumericMax(TreeMapField field)`
  `Number`
  `getNumericMin(TreeMapField field)`
  `com.macrofocus.colormap.MutableColorMap<Color>`
  `getPredefinedColorMap(TreeMapField field)`
  `Class`
  `getType(TreeMapField field)`
  `void`
  `setCurrentColorMap(TreeMapField field, com.macrofocus.colormap.MutableColorMap<Color> colorMap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeMapColorMapPanelModel

    public TreeMapColorMapPanelModel(TreeMapModel model)

- ## Method Details

  - ### getColorSelection

    public SingleSelection<TreeMapField> getColorSelection()
    Specified by:
      `getColorSelection` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getCurrentColorMap

    public com.macrofocus.colormap.MutableColorMap<Color> getCurrentColorMap(TreeMapField field)
    Specified by:
      `getCurrentColorMap` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### setCurrentColorMap

    public void setCurrentColorMap(TreeMapField field, com.macrofocus.colormap.MutableColorMap<Color> colorMap)
    Specified by:
      `setCurrentColorMap` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getCategoricalColorMap

    public com.macrofocus.colormap.MutableColorMap<Color> getCategoricalColorMap(TreeMapField field)
    Specified by:
      `getCategoricalColorMap` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getCustomColorMap

    public com.macrofocus.colormap.MutableColorMap<Color> getCustomColorMap(TreeMapField field)
    Specified by:
      `getCustomColorMap` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getPredefinedColorMap

    public com.macrofocus.colormap.MutableColorMap<Color> getPredefinedColorMap(TreeMapField field)
    Specified by:
      `getPredefinedColorMap` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getFormat

    public com.macrofocus.format.CPFormat getFormat(TreeMapField field)
    Specified by:
      `getFormat` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getNumericMin

    public Number getNumericMin(TreeMapField field)
    Specified by:
      `getNumericMin` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getNumericMax

    public Number getNumericMax(TreeMapField field)
    Specified by:
      `getNumericMax` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`

  - ### getType

    public Class getType(TreeMapField field)
    Specified by:
      `getType` in interface `com.macrofocus.colormap.editor.ColorMapPanelModel<TreeMapField,Color>`